Stop and remove old job runners
Closed, ResolvedPublic

Description

All the jobs were completely transitioned to the Kafka queue for all projects, so old job runner service processes and job queue Redis instances are not used anymore. These should be stopped and removed, and puppet cleaned up.

Pchelolo created this task.Jun 26 2018, 2:39 PM
Pchelolo triaged this task as Normal priority.
Restricted Application added a project: Analytics. · View Herald TranscriptJun 26 2018, 2:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Joe moved this task from Backlog to Doing on the User-Joe board.Jul 2 2018, 1:11 PM
Joe claimed this task.

Change 443420 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/mediawiki-config@master] Purge the last references to jobqueue redis.

https://gerrit.wikimedia.org/r/443420

Change 443426 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::mediawiki::jobrunner: remove the old jobrunner service

https://gerrit.wikimedia.org/r/443426

Change 443427 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::jobrunner: remove references to mediawiki::jobrunner

https://gerrit.wikimedia.org/r/443427

Change 443426 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::mediawiki::jobrunner: remove the old jobrunner service

https://gerrit.wikimedia.org/r/443426

Mentioned in SAL (#wikimedia-operations) [2018-07-02T15:55:55Z] <_joe_> stopping jobrunner, jobchron across all jobrunners T198220

fdans moved this task from Incoming to Radar on the Analytics board.Jul 2 2018, 4:18 PM

Change 443427 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::jobrunner: remove references to mediawiki::jobrunner

https://gerrit.wikimedia.org/r/443427

Change 443772 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] redis: remove cronjob for restarts on slaves as well

https://gerrit.wikimedia.org/r/443772

Change 443773 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] redis: remove now-useless specific classes

https://gerrit.wikimedia.org/r/443773

Change 443789 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] site.pp: move slave redises to system::spare

https://gerrit.wikimedia.org/r/443789

Change 443772 merged by Giuseppe Lavagetto:
[operations/puppet@production] redis: remove cronjob for restarts on slaves as well

https://gerrit.wikimedia.org/r/443772

Change 443773 merged by Giuseppe Lavagetto:
[operations/puppet@production] redis: remove now-useless specific classes

https://gerrit.wikimedia.org/r/443773

Krinkle moved this task from General to Legacy on the WMF-JobQueue board.
Joe moved this task from Doing to Blocking others on the User-Joe board.Aug 3 2018, 9:54 AM

Change 443420 merged by jenkins-bot:
[operations/mediawiki-config@master] Purge the last references to jobqueue redis.

https://gerrit.wikimedia.org/r/443420

jijiki added a subscriber: jijiki.

Mentioned in SAL (#wikimedia-operations) [2018-11-07T15:29:02Z] <jiji@deploy1001> Synchronized wmf-config/ProductionServices.php: Remove jobqueue_redis references, T198220 (duration: 00m 54s)

Change 473029 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] jobqueue_redis: Purge role jobqueue_redis

https://gerrit.wikimedia.org/r/473029

Change 473029 merged by Effie Mouzeli:
[operations/puppet@production] jobqueue_redis: Purge role jobqueue_redis

https://gerrit.wikimedia.org/r/473029

jijiki moved this task from Backlog to In Progress on the User-jijiki board.Wed, Nov 14, 6:44 PM

@Pchelolo/@mobrovac jobqueue_redis instances have been removed from prod and we have cleaned up any puppet and mediawiki-config references . Should we mark this issue as Resolved?

mobrovac closed this task as Resolved.

Indeed @jijiki ! Thanks!

Change 443789 abandoned by Giuseppe Lavagetto:
site.pp: move slave redises to system::spare

Reason:
not needed anymore

https://gerrit.wikimedia.org/r/443789